Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#47437 - Digikam does not start due to an undefined symbol

Attached to Project: Arch Linux
Opened by Jeroen Roos (jeroenr) - Friday, 18 December 2015, 13:45 GMT
Last edited by Antonio Rojas (arojas) - Friday, 18 December 2015, 21:18 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture x86_64
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
I have just installed Digikam and it doesn't start. When starting from the CLI it gives this error:

[jeroen@jeroen ~]$ digikam
digikam: symbol lookup error: /usr/lib/libkexiv2.so.11: undefined symbol: _ZN5Exiv213XmpProperties10registerNsERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEES8_


Additional info:
[jeroen@jeroen ~]$ pacman -Qo /usr/lib/libkexiv*
/usr/lib/libkexiv2.so is owned by libkexiv2_4 15.08.3-2
/usr/lib/libkexiv2.so.11 is owned by libkexiv2_4 15.08.3-2
/usr/lib/libkexiv2.so.11.3.0 is owned by libkexiv2_4 15.08.3-2

[jeroen@jeroen ~]$ pacman -Q digikam libkexiv2_4
digikam 4.14.0-4
libkexiv2_4 15.08.3-2
This task depends upon

Closed by  Antonio Rojas (arojas)
Friday, 18 December 2015, 21:18 GMT
Reason for closing:  Not a bug
Comment by Antonio Rojas (arojas) - Friday, 18 December 2015, 15:56 GMT
exiv2 version?
Comment by Doug Newgard (Scimmia) - Friday, 18 December 2015, 16:03 GMT
Entire system up to date and all AUR or foreign packages rebuilt? Did you read the news on the front page?
Comment by Jeroen Roos (jeroenr) - Friday, 18 December 2015, 21:09 GMT
Thanks for your comments, Antonio and Doug. Your comments together fixed it for me: my system is not up to date, because I have an aur package blocking updates at the moment. exiv2 was not up to date (I had tried updating "exiv", but it doesn't exist, didn't try searching for it). Anyway:
pacman -S exiv2 fixed it for me...

Thanks again.

(Oh, and I read the news on the front page, but didn't see anything there that could be related)

Loading...